v3.0
get
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/shipments/{shipmentId}
Retrieves shipment by shipment ID. Rights: OrsInventoryGet, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentId(required): string(uuid)
ID of the shipment.Example:
89EE76326E984B548D594D592E5C7FC2 -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ShipmentTO v2.0
Type:
objectTitle:
ShipmentTO v2.0Shipment details object.
Show Source
-
createdDate: string
(date-time)
Shipment creation date.Example:
2026-02-21T06:30:00Z -
depotId: string
(uuid)
Depot ID.
-
depotName: string
Name of the depot.Example:
Depot Houston -
depotShortName: string
Depot short name.Example:
dpt_hstn -
reconciliation: boolean
Indicates whether the shipment is for kit reconciliation.Example:
true -
reportId: string
(uuid)
Report Id
-
shipDate: string
(date-time)
Ship date.Example:
2026-02-21T06:45:00Z -
shipmentId: string
ID of the shipment.Example:
B1B8327AFAA6412287106192AB5984EF -
shipmentNumber: string
Shipment number.Example:
123 -
siteId: string
(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
-
siteName: string
Name of the site.Example:
Site Houston -
siteShortName: string
Site short name.Example:
st_hstn -
statusId: integer
(int32)
Shipment status ID.Example:
5 -
trackingNumber: string
Shipment tracking number.Example:
12345 -
trackingNumberURL: string
URL for tracking the shipment.Example:
http://www.site.com
Example:
{
"shipmentId":"B1B8327AFAA6412287106192AB5984EF",
"siteId":"C36A3197FDEE433FB5547EE83DE99E4B",
"siteName":"Site Houston",
"siteShortName":"st_hstn",
"depotId":"D313327EF13845169A8ADADDA435431E",
"depotName":"Depot Houston",
"depotShortName":"dpt_hstn",
"statusId":5,
"shipmentNumber":"123",
"createdDate":"2026-02-21T06:30:00Z",
"shipDate":"2026-02-21T06:45:00Z",
"trackingNumber":"12345",
"reconciliation":true,
"reportId":"E39FF55A445543A38D513325664F0B2D",
"trackingNumberURL":"http://www.site.com"
}Examples
404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples